I appears that the Group Policy Helper is not compatible with firefox 3.0.1. Has anyone else seen this? Is there an update available?

Thanks
Ken